Bug 139108 - Missing iso8859-xx monospaced bdf fonts (lucidatypewriter)
Missing iso8859-xx monospaced bdf fonts (lucidatypewriter)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
: 139121 (view as bug list)
Depends On:
Blocks: FC3Update
  Show dependency treegraph
 
Reported: 2004-11-12 17:26 EST by Richard Johnston
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 12:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Johnston 2004-11-12 17:26:56 EST
Description of problem:
Fedora 3 does not this XOrg bugfix
https://freedesktop.org/bugzilla/show_bug.cgi?id=1560
  
This bugfix contains monospaced fonts required to run ibm5250.
The application is included in the iSeriesAccess rpm.
The fonts were previously included in Fedora 1 and 2.

Version-Release number of selected component (if applicable):


How reproducible:

every time

Steps to Reproduce:
1. Start X (Ex startx from a non graphical login)
2. In a terminal window type 
      xlsfonts | grep lucidatype | grep 8859-1

  
Actual results:
The command above returns nothing or a blank line

Expected results:
Several lines containing lucidatypewriter and ending in 8859-XX
Similar to
-b&h-lucidatypewriter-bold-r-normal-sans-10-100-75-75-m-60-iso8859-1
-b&h-lucidatypewriter-bold-r-normal-sans-10-100-75-75-m-60-iso8859-10
-b&h-lucidatypewriter-bold-r-normal-sans-10-100-75-75-m-60-iso8859-13
-b&h-lucidatypewriter-bold-r-normal-sans-10-100-75-75-m-60-iso8859-14
-b&h-lucidatypewriter-bold-r-normal-sans-10-100-75-75-m-60-iso8859-15
-b&h-lucidatypewriter-bold-r-normal-sans-11-80-100-100-m-70-iso8859-1
-b&h-lucidatypewriter-bold-r-normal-sans-11-80-100-100-m-70-iso8859-10
-b&h-lucidatypewriter-bold-r-normal-sans-11-80-100-100-m-70-iso8859-13
-b&h-lucidatypewriter-bold-r-normal-sans-11-80-100-100-m-70-iso8859-14
-b&h-lucidatypewriter-bold-r-normal-sans-11-80-100-100-m-70-iso8859-15
.
.
.
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-10
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-13
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-14
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-15
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-10
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-13
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-14
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-15

Additional info:

Currently only iso10646-1 font encodings are included.
Comment 1 Richard Johnston 2004-11-15 13:19:32 EST
Workaround until FC3 includes xorg bug 1560
Using existing RPM's as suggested by TJ on iSeries Access forum

	Extract fonts from 100 and 75 dpi rpm's, for example 
	Free86-75dpi-fonts-4.3-30mdk.i586.rpm and
	Free86-100dpi-fonts-4.3-30mdk.i586.rpm
	Extract lut*ISO*pcf.gz files to /usr/X11R6/lib/X11/fonts/local
	run fc-cache on /usr/X11R6/lib/X11/fonts/local
	run mkfontdir on /usr/X11R6/lib/X11/fonts/local
	(then you should see fonts.cache-1 file and fonts.dir).
	Add /usr/X11R6/lib/X11/fonts/local to xorg.conf (or xft server)
	Restart the x server.

Or compile fonts from xorg cvs source

http://www.freedesktop.org/XOrg/CvsPage

To build and create a tar for the missing files
1. Create a working directory (Ex  $ mkdir xsrc)
2. $ cd xsrc
3. download CVS src

	$ cvs -d :pserver:anoncvs@cvs.freedesktop.org:/cvs/xorg login
	CVS password: <hit return>
	$ cvs -d :pserver:anoncvs@cvs.freedesktop.org:/cvs/xorg co -P xc


4. $ cd xsrc/xc/fonts
5. $ xmkmf
6. $ make Makefiles
7. $ cd bdf/100dpi
8. $ make
9. $ cd ../75dpi
10 $ make
11 $ cd ..
12 $ tar cvfz lucidatype.fonts.tgz *dpi/lut*pcf.gz

To install
	
1. After copying file to Fedora 3 system su to root and untar file
	$ su -l
	give ROOTS password
	$ cd /usr/X11R6/lib/X11/fonts
	$ tar xvfz <path to tar>/lucidatype.fonts.tgz
2. Still as root cd to 75 and 100 dpi directories and redo mkfontdir
	$ cd /usr/X11R6/lib/X11/fonts/75dpi
	$ mkfontdir
	$ cd /usr/X11R6/lib/X11/fonts/100dpi
	$ mkfontdir
3. Restart X
lib/X11/fonts/100dpi
	$ mkfontdir
3. Restart X
Comment 2 Wolfgang Pauer 2004-11-18 11:08:58 EST
When will this bug be fixed ?
Our clients running FC3 are all experiencing this problem.
Comment 3 Mike A. Harris 2004-11-18 15:00:41 EST
Fedora Core is intended for hobbiest/enthusiast usage, and we
provide updates to Fedora Core only for security issues and
in some cases we may provide updates as time permits for other
bug related issues.  All bug fixes and development occurs in
rawhide over time, and will be present in the next Fedora Core
OS release (FC4).

Red Hat Enterprise Linux WS 3 is recommended and supported
OS product for corporate desktop/client deployments.

Once we have investigated this issue, we will provide comments
here to update the status, however we generally do not provide
timelines for fixes for Fedora Core.

Currently freedesktop.org is unavailable due to a security
breach.
Comment 4 Mike A. Harris 2004-11-19 17:46:59 EST
*** Bug 139121 has been marked as a duplicate of this bug. ***
Comment 5 Mike A. Harris 2004-11-23 17:01:08 EST
Freedesktop.org is alive again, and I've reviewed the upstream
bug report, and integrated the patch into rawhide for future
builds.  This fix will also be present in the next Fedora
Core 3 erratum release, which should be soon.  It will also
be present in our RHEL 4 builds within a few days.

Thanks.

Setting status to "RAWHIDE"
Comment 6 Joe Pruett 2005-02-22 19:29:25 EST
this bug also seems to impact rhel4.  the lucidatypewriter iso8859-1
fonts aren't available there either.  not only do i like that font,
but it keeps some applications from running.
Comment 7 Joe Pruett 2005-03-01 16:40:35 EST
aha!  the fonts-xorg package wasn't rebuilt after the xorg-x11 package was
patched and rebuilt.  i just checked the build dates of the .src.rpms and get:

Name        : xorg-x11                     Relocations: (not relocatable)
Version     : 6.8.1                             Vendor: Red Hat, Inc.
Release     : 23.EL                         Build Date: Thu Dec  9 13:10:08 2004
Install Date: (not installed)               Build Host: dolly.build.redhat.com

Name        : fonts-xorg                   Relocations: (not relocatable)
Version     : 6.8.1                             Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Tue Oct 19 12:23:04 2004
Install Date: (not installed)               Build Host: thor.perf.redhat.com

i am trying to rebuild the font rpm, but it is somewhat magic so i hope that
redhat gets this fixed soon...
Comment 8 Mike A. Harris 2005-03-02 03:12:13 EST
The fonts-xorg package was updated with the new fonts in CVS for sure,
and I was fairly sure it made it into rawhide also, but I will have to
doublecheck now, as it went missing from RHEL4 also.

Reopening for now, until I confirm and/or fix.  Thanks for the tip off.
Comment 9 Mike A. Harris 2005-03-02 09:41:43 EST
It is fixed in rawhide already, and will be in the RHEL4 erratum too.
Only FC3 doesn't have it now.  I suppose we can release an update for
FC3 sometime in the next few weeks too.

I'll leave this open until then.

Thanks again.
Comment 10 Joe Pruett 2005-03-02 10:10:17 EST
will this be pushed out for rhel4 right away?  or will it wait for u1?
Comment 11 Mike A. Harris 2005-05-16 12:55:15 EDT
(In reply to comment #10)
> will this be pushed out for rhel4 right away?  or will it wait for u1?

It's in RHEL4 U1.  In general, non-critical issues of this nature
are fixed in RHEL releases in synchronous quarterly updates, and
only critical security issues and other major critical issues get
asynchronous errata out of band.

HTH
Comment 12 Mike A. Harris 2005-05-16 12:59:44 EDT
Fixed in fonts-xorg-6.8.2-0.FC3.1 for FC3, which is built and will
be made available as an FC3 update hopefully sometime today.
Comment 13 Mike A. Harris 2005-05-17 17:18:39 EDT
It's released now.

Note You need to log in before you can comment on or make changes to this bug.